--- usemodule.phpmode.bak	2010-09-24 15:16:54.000000000 +0200
+++ usemodule.phpmode	2010-09-24 15:19:13.000000000 +0200
@@ -128,13 +128,13 @@
             # php.macro
             out '   <IfModule '$modmime'>' $m
             out '      <IfModule '$modaction'>' $m
-            out '         <IfModule '$modmode'>' $m
+            out '         <IfModule fcgid_module>' $m
             for i in php php3 phps php$2; do
                 out '            AddHandler hs-php'$2'-script .'$i $m
             done
             out '            Action hs-php'$2'-script /php'$2'bin/php' $m
             out '            <Directory /hsphere/shared/php'$2'/bin>' $m
-            out '               SetHandler '$1'-script' $m
+            out '               SetHandler fcgid-script' $m
             out '            </Directory>' $m
             out '         </IfModule>' $m
             out '      </IfModule>' $m
@@ -143,18 +143,18 @@
             # php_ext.macro
             outext '   <IfModule '$modmime'>' $m
             outext '      <IfModule '$modaction'>' $m
-            outext '         <IfModule '$modmode'>' $m
+            outext '         <IfModule fcgid_module>' $m
             outext '            AddHandler hs-php'$2'-script %ext' $m
             outext '            Action hs-php'$2'-script /php'$2'bin/php' $m
             outext '            <Directory /hsphere/shared/php'$2'/bin>' $m
-            outext '               SetHandler '$1'-script' $m
+            outext '               SetHandler fcgid-script' $m
             outext '            </Directory>' $m
             outext '         </IfModule>' $m
             outext '      </IfModule>' $m
             outext '   </IfModule>' $m
                                                     # ... deny access if some of required modules not loaded
             # php.macro
-            out '   <IfModule !'$modmode'>' $m
+            out '   <IfModule !fcgid_module>' $m
             # out '      Warning mod_'$1' not loaded!' $m
             deny_ext_php "$1$2:%20$modmode%20not%20loaded" "$m" '\.php(s|3|'$2')?' 'php'
             out '   </IfModule>' $m
@@ -168,7 +168,7 @@
             out '   </IfModule>' $m
                                                     # php_ext ... deny access if required modules not loaded
             # php_ext.macro
-            outext '   <IfModule !'$modmode'>' $m
+            outext '   <IfModule !fcgid_module>' $m
             # outext '      Warning mod_'$1' not loaded!' $m
             deny_ext_php "$1$2:%20$modmode%20not%20loaded" "$m" '%ext' 'php_ext'
             outext '   </IfModule>' $m
@@ -268,7 +268,6 @@
       fi
     done
   done
-   
 # create defaults
   for i in 4 5; do
      if ! echo $defaults |grep $i > /dev/null 2>&1; then
@@ -282,7 +281,6 @@
         defaults="$defaults:"`echo $tstr|cut -d':' -f2`
      fi
   done
-
   modes=$CurrentMode
   [ -z "$modes" -o "x$modes" = "xinit" ] && modes="httpd1 httpd2"
   for m in `echo $modes`; do

